import utils from "utils/index.js";
import * as echarts from "echarts";
// import * as echarts from 'echarts/core';

import styleConfig from "./config/styleConfig";
import dataConfig from "./config/dataConfig";
import symbols from "./config/symbols";

console.log('styleConfig===========', styleConfig)

export default class CustomSpirits {
  constructor(dom, opts) {
    opts = opts || {};
    if (opts.getConfig === true) {
      return;
    }

    this.chart = null;
    this._dom = dom;

    this.init(opts);
  }

  init(opts) {
    this.chart = echarts.init(this._dom);
    this.chart.setOption(opts);
  }

  setOption(opts, data) {
    // this.chart.setOption(this.mergeOption(opts, data), {notMerge:true});
    this.chart.setOption(opts, { notMerge: true });
  }

  // mergeOption(style, dataConfig){
  //     style = utils.deepCopy(style);
  //     style.xAxis.data = dataConfig.defaultData[dataConfig.configList[0].defaultKey];
  //     style.color = style.color.color;
  //     style.yAxis = {
  //         type:'value'
  //     }

  //     style.series = [];
  //     let series = dataConfig.configList[1].defaultKey;
  //     if(Array.isArray(series) === true){
  //         series.forEach( item => {
  //             style.series.push({
  //                 data:dataConfig.defaultData[item],
  //                 type:'bar'
  //             })
  //         })
  //     }else{
  //         style.series = [
  //             {
  //               data: dataConfig.defaultData[series],
  //               type: 'bar'
  //             }
  //           ]
  //     }

  //     return style;
  // }

  getConfig() {
    return {
      styleConfig: utils.deepCopy(styleConfig),
      dataConfig: utils.deepCopy(dataConfig),
      fun: {
        getColName: this.getColName,
        themeMerge: this.themeMerge,
        insertTheme:function(config,curTheme){
          config = utils.insertCommonTheme(config,curTheme)
          // config.shape.sub.label.sub.textStyle.sub.color.defaultValue = curTheme.theme.textColor;
          // config.shape.sub.topList.sub.titleColor.defaultValue = curTheme.theme.titleColor;
          return config;
      },
      },
    };
  }
  themeMerge(styleConfig, dataConfig) {
    let style = utils.deepCopy(styleConfig);
    style.yAxis.data = dataConfig.yAxis[0].data;
    style.color = style.color.color;

    style.series = [];
    let series = dataConfig.series;
    if (Array.isArray(series) === true) {
      console.log("series=====", series);
      series.forEach((item, index) => {
        const pushItem = {
          data: item.data,
          type: "pictorialBar",
          symbolBoundingData: styleConfig.customSeries.symbolBoundingData,
          symbolMargin: styleConfig.customSeries.symbolMargin,
          symbolRepeat: styleConfig.customSeries.symbolRepeat,
          symbolSize: styleConfig.customSeries.symbolSize,
        };

        if (index === 0) {
          style.series.push(
            Object.assign(pushItem, {
              symbol: symbols[0],
              symbolClip: styleConfig.customSeries.symbolClip,
              z: 10,
              markLine: styleConfig.customSeries.markLine,
            })
          );
        }
        if (index === 1) {
          style.series.push(
            Object.assign(pushItem, {
              symbol: symbols[1],
              itemStyle: styleConfig.customSeries.itemStyle,
              label: styleConfig.customSeries.label,
              animationDuration: 0,
              z: 5,
            })
          );
        }
      });
    }
    return style;
  }

  getColName(dataConfig) {
    let column = {};
    dataConfig = JSON.parse(JSON.stringify(dataConfig));
    let dataConfigKey = dataConfig.configList;
    column.yAxis = [dataConfigKey[0].defaultKey];
    column.series = dataConfigKey[1].defaultKey;
    return column;
  }

  resize() {
    console.log("resize2");
    // this.chart && this.chart.setOption && this.chart.setOption(this.opts)
    this.chart.resize();
  }

  dispose() {
    this.chart.dispose();
  }
}
