import animation from "../../commonOptions/animation";
import dataZoom from "../../commonOptions/dataZoom";
const styleConfig = {
  title: {
    name: "标题",
    sub: {
      text: {
        name: "内容",
        comType: "input",
        defaultValue: "",
      },
      left: {
        name: "水平安放位置",
        defaultChoose: 0,
        chooseSub: [
          {
            comType: "slider",
            defaultValue: "5%",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
          {
            comType: "radio",
            defaultValue: "left",
            comInfo: [
              {
                name: "居左",
                value: "left",
              },
              {
                name: "居中",
                value: "center",
              },
              {
                name: "居右",
                value: "right",
              },
            ],
          },
        ],
      },
      top: {
        name: "垂直安放位置",
        defaultChoose: 0,
        chooseSub: [
          {
            comType: "slider",
            defaultValue: "5%",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
          {
            comType: "radio",
            defaultValue: "top",
            comInfo: [
              {
                name: "居上",
                value: "top",
              },
              {
                name: "居中",
                value: "middle",
              },
              {
                name: "居下",
                value: "bottom",
              },
            ],
          },
        ],
      },
      textStyle: {
        name: "字体样式",
        sub: {
          fontSize: {
            name: "字体大小",
            comType: "slider",
            defaultValue: 14,
            comInfo: {
              min: 12,
              max: 50,
            },
          },
          fontWeight: {
            name: "字体加粗",
            comType: "radio",
            defaultValue: "normal",
            comInfo: [
              {
                name: "正常",
                value: "normal",
              },
              {
                name: "加粗",
                value: "bold",
              },
            ],
          },
          color: {
            name: "字体颜色",
            comType: "colorPicker",
            defaultValue: "#000000",
          },
        },
      },
    },
  },
  grid: {
    name: "视区",
    sub: {
      left: {
        name: "左边距",
        comType: "slider",
        defaultValue: "16%",
        comInfo: {
          min: "0%",
          max: "100%",
        },
      },
      right: {
        name: "右边距",
        comType: "slider",
        defaultValue: "16%",
        comInfo: {
          min: "0%",
          max: "100%",
        },
      },
      top: {
        name: "上边距",
        comType: "slider",
        defaultValue: "30%",
        comInfo: {
          min: "0%",
          max: "100%",
        },
      },
      bottom: {
        name: "下边距",
        comType: "slider",
        defaultValue: "18%",
        comInfo: {
          min: "0%",
          max: "100%",
        },
      },
    },
  },
  legend: {
    name: "图例",
    sub: {
      show: {
        name: "是否显示图例",
        comType: "radio",
        defaultValue: false,
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      selectedMode: {
        name: "选择模式",
        defaultValue: "single",
        comType: "radio",
        comInfo: [
          {
            name: "单选",
            value: "single",
          },
          {
            name: "全选",
            value: "multi",
          },
        ],
      },

      orient: {
        name: "排列方式",
        comType: "radio",
        defaultValue: "horizontal",
        comInfo: [
          {
            name: "横向",
            value: "horizontal",
          },
          {
            name: "纵向",
            value: "vertical",
          },
        ],
      },
      left: {
        name: "水平安放位置",
        defaultChoose: 1,
        chooseSub: [
          {
            comType: "slider",
            defaultValue: "5%",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
          {
            comType: "radio",
            defaultValue: "center",
            comInfo: [
              {
                name: "居左",
                value: "left",
              },
              {
                name: "居中",
                value: "center",
              },
              {
                name: "居右",
                value: "right",
              },
            ],
          },
        ],
      },
      top: {
        name: "垂直安放位置",
        defaultChoose: 0,
        chooseSub: [
          {
            comType: "slider",
            defaultValue: "5%",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
          {
            comType: "radio",
            defaultValue: "top",
            comInfo: [
              {
                name: "居上",
                value: "top",
              },
              {
                name: "居中",
                value: "middle",
              },
              {
                name: "居下",
                value: "bottom",
              },
            ],
          },
        ],
      },
      itemWidth: {
        name: "图例图形宽度",
        comType: "slider",
        defaultValue: 12,
        comInfo: {
          min: 10,
          max: 100,
        },
      },
      itemHeight: {
        name: "图例图形高度",
        comType: "slider",
        defaultValue: 12,
        comInfo: {
          min: 10,
          max: 100,
        },
      },
      itemAngelR: {
        name: "图形圆角半径",
        defaultValue: 10,
        comType: "slider",
        comInfo: {
          min: 0,
          max: 20,
        },
      },
      textStyle: {
        name: "字体样式",
        sub: {
          fontSize: {
            name: "字体大小",
            comType: "slider",
            defaultValue: 12,
            comInfo: {
              min: 12,
              max: 100,
            },
          },
          fontWeight: {
            name: "字体加粗",
            comType: "radio",
            defaultValue: "normal",
            comInfo: [
              {
                name: "正常",
                value: "normal",
              },
              {
                name: "加粗",
                value: "bold",
              },
            ],
          },
          color: {
            name: "字体颜色",
            comType: "colorPicker",
            defaultValue: "#7b7b7b",
          },
        },
      },
    },
  },
  xAxis: {
    name: "X轴",
    sub: {
      show: {
        name: "是否显示",
        comType: "radio",
        defaultValue: true,
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      name: {
        name: "坐标轴名称",
        comType: "input",
        defaultValue: "",
      },
      nameTextStyle: {
        name: "坐标轴名称样式",
        sub: {
          color: {
            name: "颜色",
            comType: "colorPicker",
            defaultValue: "#fff",
          },
          fontSize: {
            name: "字体大小",
            comType: "slider",
            defaultValue: 12,
            comInfo: {
              min: 12,
              max: 50,
            },
          },
        },
      },
      axisLabel: {
        name: "轴线标志",
        sub: {
          margin: {
            name: "边距",
            defaultValue: 10,
            comType: "slider",
            comInfo: {
              min: 0,
              max: 100,
            },
          },
        },
        axisLine: {
          name: "轴线设置",
          sub: {
            show: {
              name: "是否显示",
              comType: "radio",
              defaultValue: false,
              comInfo: [
                {
                  name: "是",
                  value: true,
                },
                {
                  name: "否",
                  value: false,
                },
              ],
            },
            lineStyle: {
              name: "样式",
              sub: {
                width: {
                  name: "宽度",
                  comType: "slider",
                  defaultValue: 1,
                  comInfo: {
                    min: 1,
                    max: 10,
                  },
                },
                color: {
                  name: "字体颜色",
                  comType: "colorPicker",
                  defaultValue: "#999",
                },
              },
            },
          },
        },
        max: {
          name: "上限",
          defaultValue: 2000,
          comType: "slider",
          comInfo: {
            min: 0,
            max: 5000,
          },
        },
        offset: {
          name: "偏移值",
          defaultValue: 20,
          comType: "slider",
          comInfo: {
            min: 0,
            max: 1000,
          },
        },
        splitLine: {
          name: "分割线",
          sub: {
            show: {
              name: "是否显示",
              comType: "radio",
              defaultValue: false,
              comInfo: [
                {
                  name: "是",
                  value: true,
                },
                {
                  name: "否",
                  value: false,
                },
              ],
            },
          },
        },
      },
      axisLine: {
        name: "轴线设置",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: false,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          lineStyle: {
            name: "样式",
            sub: {
              width: {
                name: "宽度",
                comType: "slider",
                defaultValue: 1,
                comInfo: {
                  min: 1,
                  max: 10,
                },
              },
            },
          },
        },
      },
      max: {
        name: "最大值",
        defaultValue: 2000,
        comType: "slider",
        comInfo: {
          min: 0,
          max: 5000,
        },
      },
      offset: {
        name: "偏移值",
        defaultValue: 10,
        comType: "slider",
        comInfo: {
          min: 0,
          max: 1000,
        },
      },
      splitLine: {
        name: "分割线",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: false,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
        },
      },
    },
  },
  yAxis: {
    name: "Y轴",
    sub: {
      show: {
        name: "是否显示",
        comType: "radio",
        defaultValue: true,
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      axisLabel: {
        name: "轴标志",
        sub: {
          margin: {
            name: "边距",
            defaultValue: 10,
            comType: "slider",
            comInfo: {
              min: 0,
              max: 100,
            },
          },
          color: {
            name: "字体颜色",
            comType: "colorPicker",
            defaultValue: "#999",
          },
          fontSize: {
            name: "字体大小",
            comType: "slider",
            defaultValue: 16,
            comInfo: {
              min: 12,
              max: 50,
            },
          },
        },
        axisLine: {
          name: "轴线设置",
          sub: {
            show: {
              name: "是否显示",
              comType: "radio",
              defaultValue: true,
              comInfo: [
                {
                  name: "是",
                  value: true,
                },
                {
                  name: "否",
                  value: false,
                },
              ],
            },
            lineStyle: {
              name: "样式",
              sub: {
                width: {
                  name: "宽度",
                  comType: "slider",
                  defaultValue: 1,
                  comInfo: {
                    min: 1,
                    max: 10,
                  },
                },
              },
            },
          },
        },
        max: {
          name: "上限",
          defaultValue: 2000,
          comType: "slider",
          comInfo: {
            min: 0,
            max: 5000,
          },
        },
        offset: {
          name: "偏移值",
          defaultValue: 20,
          comType: "slider",
          comInfo: {
            min: 0,
            max: 1000,
          },
        },
        splitLine: {
          name: "分割线",
          sub: {
            show: {
              name: "是否显示",
              comType: "radio",
              defaultValue: false,
              comInfo: [
                {
                  name: "是",
                  value: true,
                },
                {
                  name: "否",
                  value: false,
                },
              ],
            },
          },
        },
      },
      axisLine: {
        name: "轴线设置",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: false,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
        },
      },
      axisTick: {
        name: "轴刻度设置",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: false,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
        },
      },
      inverse: {
        name: "相反的",
        comType: "radio",
        defaultValue: true,
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
    },
  },
  tooltip: {
    name: "提示",
    sub: {
      show: {
        name: "是否显示提示框",
        defaultValue: true,
        comType: "radio",
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      padding: {
        name: "内边距",
        defaultValue: 10,
        comType: "slider",
        comInfo: {
          min: 1,
          max: 100,
        },
      },
      itemGap: {
        name: "行间距",
        defaultValue: 5,
        comType: "slider",
        comInfo: {
          min: 1,
          max: 50,
        },
      },
      offsetX: {
        name: "横向偏移值",
        defaultValue: 15,
        comType: "slider",
        comInfo: {
          min: -100,
          max: 100,
        },
      },
      offsetY: {
        name: "纵向偏移值",
        defaultValue: 0,
        comType: "slider",
        comInfo: {
          min: -100,
          max: 100,
        },
      },
      titleColor: {
        name: "提示框标题颜色",
        defaultValue: "#ffffff",
        comType: "colorPicker",
      },
      bgStyle: {
        name: "背景",
        sub: {
          borderColor: {
            name: "边框颜色",
            defaultValue: "#cccccc",
            comType: "colorPicker",
          },
          borderWidth: {
            name: "边框宽度",
            defaultValue: 0,
            comType: "slider",
            comInfo: {
              min: 0,
              max: 20,
            },
          },
          backgroundColor: {
            name: "背景颜色",
            defaultValue: "rgba(0,0,0,0.8)",
            comType: "colorPicker",
          },
        },
      },
      shadowStyle: {
        name: "阴影",
        sub: {
          shadowColor: {
            name: "阴影颜色",
            defaultValue: "#252525",
            comType: "colorPicker",
          },
          shadowOpacity: {
            name: "阴影透明度",
            defaultValue: "35%",
            comType: "slider",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
        },
      },
    },
  },
  color: {
    name: "系列色",
    sub: {
      color: {
        name: "系列色",
        comType: "colorPickerList",
        defaultValue: [
          "#5470c6",
          "#91cc75",
          "#fac858",
          "#ee6666",
          "#73c0de",
          "#3ba272",
          "#fc8452",
          "#9a60b4",
          "#ea7ccc",
        ],
      },
    },
  },
  bg: {
    name: "背景",
    sub: {
      backgroundColor: {
        name: "背景色",
        defaultValue: "#062951",
        comType: "colorPicker",
      },
    },
  },
  customSeries: {
    name: "图形",
    sub: {
      symbolBoundingData: {
        name: "指定图形界限的值",
        defaultValue: 2000,
        comType: "input",
      },
      symbolMargin: {
        name: "图形的两边间隔",
        defaultValue: "5%",
        comType: "slider",
        comInfo: {
          min: "0%",
          max: "100%",
        },
      },
      symbolRepeat: {
        name: "指定图形元素是否重复",
        defaultValue: "fixed",
        comType: "radio",
        comInfo: [
          {
            name: "是",
            value: "fixed",
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      symbolSize: {
        name: "图形的大小",
        defaultValue: 30,
        comType: "slider",
        comInfo: {
          min: 0,
          max: 100,
        },
      },
      symbolClip: {
        name: "是否剪裁图形",
        comType: "slider",
        defaultValue: true,
        comType: "radio",
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      markLine: {
        name: "图表标线",
        sub: {
          symbol: {
            name: "标记类型",
            defaultValue: "none",
          },
          lineStyle: {
            name: "线条样式",
            sub: {
              type: {
                name: "线的类型",
                defaultValue: "dotted",
              },
              width: {
                name: "线宽",
                comType: "slider",
                defaultValue: 2,
                comInfo: {
                  min: 1,
                  max: 20,
                },
              },
              color: {
                name: "颜色",
                comType: "colorPicker",
                defaultValue: "#00CD00",
              },
              opacity: {
                name: "透明度",
                comType: "input",
                defaultValue: 0.3,
              },
            },
          },
          label: {
            name: "标线文本",
            sub: {
              show: {
                name: "是否显示",
                defaultValue: true,
                comType: "radio",
                comInfo: [
                  {
                    name: "是",
                    value: true,
                  },
                  {
                    name: "否",
                    value: false,
                  },
                ],
              },
              fontSize: {
                name: "字体大小",
                comType: "slider",
                defaultValue: 12,
                comInfo: {
                  min: 12,
                  max: 100,
                },
              },
              fontWeight: {
                name: "字体加粗",
                comType: "radio",
                defaultValue: "normal",
                comInfo: [
                  {
                    name: "正常",
                    value: "normal",
                  },
                  {
                    name: "加粗",
                    value: "bold",
                  },
                ],
              },
              color: {
                name: "字体颜色",
                comType: "colorPicker",
                defaultValue: "#7b7b7b",
              },
              formatter: {
                name: "格式化",
                defaultValue: "max: {c}",
              },
              position: {
                name: "位置",
                defaultValue: "max: {c}",
              },
            },
          },
          data: {
            name: "数据",
            defaultValue: [
              {
                type: "max",
              },
            ],
          },
        },
      },
      itemStyle: {
        name: "局部样式",
        sub: {
          opacity: {
            name: "透明度",
            comType: "slider",
            defaultValue: 0.2,
            comInfo: {
              min: 0,
              max: 1,
            },
          },
        },
      },
      label: {
        name: "标线文本",
        sub: {
          show: {
            name: "是否显示",
            defaultValue: true,
            comType: "radio",
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          fontSize: {
            name: "字体大小",
            comType: "slider",
            defaultValue: 18,
            comInfo: {
              min: 12,
              max: 100,
            },
          },
          color: {
            name: "字体颜色",
            comType: "colorPicker",
            defaultValue: "#00CD00",
          },
          offset: {
            name: "偏移量",
            defaultValue: [10, 0],
          },
          position: {
            name: "位置",
            defaultValue: "right",
          },
        },
      },
    },
  },
  animation: {
    name: '动画',
    sub: animation,
  },
  dataZoom: {
    name: '缩略轴',
    sub: dataZoom},
};

export default styleConfig;
