const styleConfig = {
  title: {
    name: "标题",
    sub: {
      text: {
        name: "内容",
        comType: "input",
        defaultValue: "人体含水量",
      },
      left: {
        name: "水平安放位置",
        defaultChoose: 0,
        chooseSub: [
          {
            comType: "slider",
            defaultValue: "5%",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
          {
            comType: "radio",
            defaultValue: "left",
            comInfo: [
              {
                name: "居左",
                value: "left",
              },
              {
                name: "居中",
                value: "center",
              },
              {
                name: "居右",
                value: "right",
              },
            ],
          },
        ],
      },
      top: {
        name: "垂直安放位置",
        defaultChoose: 0,
        chooseSub: [
          {
            comType: "slider",
            defaultValue: "5%",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
          {
            comType: "radio",
            defaultValue: "top",
            comInfo: [
              {
                name: "居上",
                value: "top",
              },
              {
                name: "居中",
                value: "middle",
              },
              {
                name: "居下",
                value: "bottom",
              },
            ],
          },
        ],
      },
      textStyle: {
        name: "字体样式",
        sub: {
          fontSize: {
            name: "字体大小",
            comType: "slider",
            defaultValue: 14,
            comInfo: {
              min: 12,
              max: 50,
            },
          },
          fontWeight: {
            name: "字体加粗",
            comType: "radio",
            defaultValue: "normal",
            comInfo: [
              {
                name: "正常",
                value: "normal",
              },
              {
                name: "加粗",
                value: "bold",
              },
            ],
          },
          color: {
            name: "字体颜色",
            comType: "colorPicker",
            defaultValue: "#000000",
          },
        },
      },
    },
  },
  grid: {
    name: "视区",
    sub: {
      left: {
        name: "左边距",
        comType: "slider",
        defaultValue: "16%",
        comInfo: {
          min: "0%",
          max: "100%",
        },
      },
      right: {
        name: "右边距",
        comType: "slider",
        defaultValue: "16%",
        comInfo: {
          min: "0%",
          max: "100%",
        },
      },
      top: {
        name: "上边距",
        comType: "slider",
        defaultValue: "30%",
        comInfo: {
          min: "0%",
          max: "100%",
        },
      },
      bottom: {
        name: "下边距",
        comType: "slider",
        defaultValue: "18%",
        comInfo: {
          min: "0%",
          max: "100%",
        },
      },
    },
  },
  legend: {
    name: "图例",
    sub: {
      show: {
        name: "是否显示图例",
        comType: "radio",
        defaultValue: true,
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      data: {
        name: "数据源",
        defaultValue: ["typeA", "typeB"],
      },
      selectedMode: {
        name: "选择模式",
        defaultValue: "single",
        comType: "radio",
        comInfo: [
          {
            name: "单选",
            value: "single",
          },
          {
            name: "全选",
            value: "multi",
          },
        ],
      },

      orient: {
        name: "排列方式",
        comType: "radio",
        defaultValue: "horizontal",
        comInfo: [
          {
            name: "横向",
            value: "horizontal",
          },
          {
            name: "纵向",
            value: "vertical",
          },
        ],
      },
      left: {
        name: "水平安放位置",
        defaultChoose: 1,
        chooseSub: [
          {
            comType: "slider",
            defaultValue: "5%",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
          {
            comType: "radio",
            defaultValue: "center",
            comInfo: [
              {
                name: "居左",
                value: "left",
              },
              {
                name: "居中",
                value: "center",
              },
              {
                name: "居右",
                value: "right",
              },
            ],
          },
        ],
      },
      top: {
        name: "垂直安放位置",
        defaultChoose: 1,
        chooseSub: [
          {
            comType: "slider",
            defaultValue: "5%",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
          {
            comType: "radio",
            defaultValue: "top",
            comInfo: [
              {
                name: "居上",
                value: "top",
              },
              {
                name: "居中",
                value: "middle",
              },
              {
                name: "居下",
                value: "bottom",
              },
            ],
          },
        ],
      },
      itemWidth: {
        name: "图例图形宽度",
        comType: "slider",
        defaultValue: 12,
        comInfo: {
          min: 10,
          max: 100,
        },
      },
      itemHeight: {
        name: "图例图形高度",
        comType: "slider",
        defaultValue: 12,
        comInfo: {
          min: 10,
          max: 100,
        },
      },
      itemAngelR: {
        name: "图形圆角半径",
        defaultValue: 10,
        comType: "slider",
        comInfo: {
          min: 0,
          max: 20,
        },
      },
      textStyle: {
        name: "字体样式",
        sub: {
          fontSize: {
            name: "字体大小",
            comType: "slider",
            defaultValue: 12,
            comInfo: {
              min: 12,
              max: 100,
            },
          },
          fontWeight: {
            name: "字体加粗",
            comType: "radio",
            defaultValue: "normal",
            comInfo: [
              {
                name: "正常",
                value: "normal",
              },
              {
                name: "加粗",
                value: "bold",
              },
            ],
          },
          color: {
            name: "字体颜色",
            comType: "colorPicker",
            defaultValue: "#7b7b7b",
          },
        },
      },
    },
  },
  xAxis: {
    name: "X轴",
    sub: {
      show: {
        name: "是否显示",
        comType: "radio",
        defaultValue: false,
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      name: {
        name: "坐标轴名称",
        comType: "input",
        defaultValue: "",
      },
      title: {
        name: "坐标轴名称",
        defaultValue: "",
        comType: "input",
      },
      nameTextStyle: {
        name: "坐标轴名称样式",
        sub: {
          fontSize: {
            name: "字体大小",
            defaultValue: 12,
            comType: "slider",
            comInfo: {
              min: 12,
              max: 50,
            },
          },
          color: {
            name: "字体颜色",
            defaultValue: "#0080a5",
            comType: "colorPicker",
          },
        },
      },
      namePosition: {
        name: "坐标轴名称位置",
        defaultValue: "end",
        comType: "radio",
        comInfo: [
          {
            name: "坐标轴前端",
            value: "start",
          },
          {
            name: "坐标轴末端",
            value: "end",
          },
        ],
      },
      axisLine: {
        name: "轴线",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: false,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          lineStyle: {
            name: "线条样式",
            sub: {
              color: {
                name: "颜色",
                comType: "colorPicker",
                defaultValue: "#26426a",
              },
              width: {
                name: "线宽",
                comType: "slider",
                defaultValue: 2,
                comInfo: {
                  min: 1,
                  max: 20,
                },
              },
            },
          },
        },
      },
      axisTick: {
        name: "轴刻度线",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: false,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          length: {
            name: "线条长度",
            comType: "slider",
            defaultValue: 5,
            comInfo: {
              min: 1,
              max: 50,
            },
          },

          lineStyle: {
            name: "线条样式",
            sub: {
              color: {
                name: "颜色",
                comType: "colorPicker",
                defaultValue: "#26426a",
              },
              width: {
                name: "线宽",
                comType: "slider",
                defaultValue: 1,
                comInfo: {
                  min: 1,
                  max: 20,
                },
              },
            },
          },
        },
      },
      splitLine: {
        name: "分割线",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: true,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          lineStyle: {
            name: "线条样式",
            sub: {
              color: {
                name: "颜色",
                comType: "colorPicker",
                defaultValue: "#26426a",
              },
              width: {
                name: "线宽",
                comType: "slider",
                defaultValue: 1,
                comInfo: {
                  min: 1,
                  max: 20,
                },
              },
            },
          },
        },
      },
      axisLabel: {
        name: "标签",
        sub: {
          show: {
            name: "是否显示",
            defaultValue: false,
            comType: "radio",
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          textStyle: {
            name: "字体样式",
            type: "ChartBarH",
            sub: {
              fontSize: {
                name: "字体大小",
                comType: "slider",
                defaultValue: 12,
                comInfo: {
                  min: 12,
                  max: 50,
                },
              },
              fontWeight: {
                name: "字体加粗",
                comType: "radio",
                defaultValue: "normal",
                comInfo: [
                  {
                    name: "正常",
                    value: "normal",
                  },
                  {
                    name: "加粗",
                    value: "bold",
                  },
                ],
              },
              color: {
                name: "字体颜色",
                comType: "colorPicker",
                defaultValue: "#0080a5",
              },
              textRotation: {
                name: "文字倾斜",
                comType: "radio",
                defaultValue: 0,
                comInfo: [
                  {
                    name: "横向",
                    value: 0,
                  },
                  {
                    name: "竖向",
                    value: 90,
                  },
                  {
                    name: "左倾45度",
                    value: 45,
                  },
                  {
                    name: "右倾45度",
                    value: -45,
                  },
                ],
              },
            },
          },
        },
      },
    },
  },
  yAxis: {
    name: "Y轴",
    sub: {
      show: {
        name: "是否显示",
        comType: "radio",
        defaultValue: true,
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      nameTextStyle: {
        name: "坐标轴名称样式",
        sub: {
          fontSize: {
            name: "字体大小",
            defaultValue: 12,
            comType: "slider",
            comInfo: {
              min: 12,
              max: 50,
            },
          },
          color: {
            name: "字体颜色",
            defaultValue: "#0080a5",
            comType: "colorPicker",
          },
        },
      },
      namePosition: {
        name: "坐标轴名称位置",
        defaultValue: "end",
        comType: "radio",
        comInfo: [
          {
            name: "坐标轴前端",
            value: "start",
          },
          {
            name: "坐标轴末端",
            value: "end",
          },
        ],
      },
      axisLine: {
        name: "轴线",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: false,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          lineStyle: {
            name: "线条样式",
            sub: {
              color: {
                name: "颜色",
                comType: "colorPicker",
                defaultValue: "#26426a",
              },
              width: {
                name: "线宽",
                comType: "slider",
                defaultValue: 2,
                comInfo: {
                  min: 1,
                  max: 20,
                },
              },
            },
          },
        },
      },
      axisTick: {
        name: "轴刻度线",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: false,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          length: {
            name: "线条长度",
            comType: "slider",
            defaultValue: 5,
            comInfo: {
              min: 1,
              max: 50,
            },
          },
          lineStyle: {
            name: "线条样式",
            sub: {
              color: {
                name: "颜色",
                comType: "colorPicker",
                defaultValue: "#26426a",
              },
              width: {
                name: "线宽",
                comType: "slider",
                defaultValue: 1,
                comInfo: {
                  min: 1,
                  max: 20,
                },
              },
            },
          },
        },
      },
      splitLine: {
        name: "分割线",
        sub: {
          show: {
            name: "是否显示",
            comType: "radio",
            defaultValue: false,
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          lineStyle: {
            name: "线条样式",
            sub: {
              color: {
                name: "颜色",
                comType: "colorPicker",
                defaultValue: "#26426a",
              },
              width: {
                name: "线宽",
                comType: "slider",
                defaultValue: 1,
                comInfo: {
                  min: 1,
                  max: 20,
                },
              },
            },
          },
        },
      },
      axisLabel: {
        name: "标签",
        sub: {
          show: {
            name: "是否显示",
            defaultValue: true,
            comType: "radio",
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          textStyle: {
            name: "字体样式",
            type: "ChartBarH",
            sub: {
              fontSize: {
                name: "字体大小",
                comType: "slider",
                defaultValue: 12,
                comInfo: {
                  min: 12,
                  max: 50,
                },
              },
              fontWeight: {
                name: "字体加粗",
                comType: "radio",
                defaultValue: "normal",
                comInfo: [
                  {
                    name: "正常",
                    value: "normal",
                  },
                  {
                    name: "加粗",
                    value: "bold",
                  },
                ],
              },
              color: {
                name: "字体颜色",
                comType: "colorPicker",
                defaultValue: "#0080a5",
              },
              textRotation: {
                name: "文字倾斜",
                comType: "radio",
                defaultValue: 0,
                comInfo: [
                  {
                    name: "横向",
                    value: 0,
                  },
                  {
                    name: "竖向",
                    value: 90,
                  },
                  {
                    name: "下倾45度",
                    value: 45,
                  },
                  {
                    name: "上倾45度",
                    value: -45,
                  },
                ],
              },
            },
          },
        },
      },
      title: {
        name: "坐标轴名称",
        defaultValue: "",
        comType: "input",
      },
      max: {
        name: "最大值",
        defaultValue: 150,
        comType: "slider",
        comInfo: {
          min: 0,
          max: 1000,
        },
      },
      offset: {
        name: "偏移值",
        defaultValue: 20,
        comType: "slider",
        comInfo: {
          min: 0,
          max: 1000,
        },
      },
    },
  },
  tooltip: {
    name: "提示",
    sub: {
      show: {
        name: "是否显示提示框",
        defaultValue: true,
        comType: "radio",
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      padding: {
        name: "内边距",
        defaultValue: 10,
        comType: "slider",
        comInfo: {
          min: 1,
          max: 100,
        },
      },
      itemGap: {
        name: "行间距",
        defaultValue: 5,
        comType: "slider",
        comInfo: {
          min: 1,
          max: 50,
        },
      },
      offsetX: {
        name: "横向偏移值",
        defaultValue: 15,
        comType: "slider",
        comInfo: {
          min: -100,
          max: 100,
        },
      },
      offsetY: {
        name: "纵向偏移值",
        defaultValue: 0,
        comType: "slider",
        comInfo: {
          min: -100,
          max: 100,
        },
      },
      titleColor: {
        name: "提示框标题颜色",
        defaultValue: "#ffffff",
        comType: "colorPicker",
      },
      bgStyle: {
        name: "背景",
        sub: {
          borderColor: {
            name: "边框颜色",
            defaultValue: "#cccccc",
            comType: "colorPicker",
          },
          borderWidth: {
            name: "边框宽度",
            defaultValue: 0,
            comType: "slider",
            comInfo: {
              min: 0,
              max: 20,
            },
          },
          backgroundColor: {
            name: "背景颜色",
            defaultValue: "rgba(0,0,0,0.8)",
            comType: "colorPicker",
          },
        },
      },
      shadowStyle: {
        name: "阴影",
        sub: {
          shadowColor: {
            name: "阴影颜色",
            defaultValue: "#252525",
            comType: "colorPicker",
          },
          shadowOpacity: {
            name: "阴影透明度",
            defaultValue: "35%",
            comType: "slider",
            comInfo: {
              min: "0%",
              max: "100%",
            },
          },
        },
      },
    },
  },
  // shape: {
  //   name: "图形",
  //   sub: {
  //     label: {
  //       name: "标签",
  //       key: "analysis",
  //       analysisName: "标签",
  //       sub: {
  //         show: {
  //           name: "是否显示",
  //           key: "analysis",
  //           defaultValue: false,
  //           comType: "radio",
  //           comInfo: [
  //             {
  //               name: "是",
  //               value: true,
  //             },
  //             {
  //               name: "否",
  //               value: false,
  //             },
  //           ],
  //         },
  //         textStyle: {
  //           name: "字体样式",
  //           key: "analysis",
  //           sub: {
  //             fontSize: {
  //               name: "字体大小",
  //               key: "analysis",
  //               comType: "slider",
  //               defaultValue: 12,
  //               comInfo: {
  //                 min: 12,
  //                 max: 50,
  //               },
  //             },
  //             fontWeight: {
  //               name: "字体加粗",
  //               key: "analysis",
  //               comType: "radio",
  //               defaultValue: "normal",
  //               comInfo: [
  //                 {
  //                   name: "正常",
  //                   value: "normal",
  //                 },
  //                 {
  //                   name: "加粗",
  //                   value: "bold",
  //                 },
  //               ],
  //             },
  //             color: {
  //               name: "字体颜色",
  //               key: "analysis",
  //               comType: "colorPicker",
  //               defaultValue: "",
  //               //''表示使用series默认颜色数组
  //             },
  //           },
  //         },
  //       },
  //     },
  //     barCategoryGap: {
  //       name: "类目间柱间距",
  //       key: "analysis",
  //       analysisName: "大小",
  //       comType: "slider",
  //       defaultValue: "70%",
  //       comInfo: {
  //         min: "0%",
  //         max: "90%",
  //       },
  //     },
  //     topList: {
  //       name: "top排名列表",
  //       sub: {
  //         show: {
  //           name: "是否显示",
  //           defaultValue: false,
  //           comType: "radio",
  //           comInfo: [
  //             {
  //               name: "是",
  //               value: true,
  //             },
  //             {
  //               name: "否",
  //               value: false,
  //             },
  //           ],
  //         },
  //         topNum: {
  //           name: "显示条数",
  //           defaultValue: 5,
  //           comType: "slider",
  //           comInfo: {
  //             min: 1,
  //             max: 10,
  //           },
  //         },
  //         left: {
  //           name: "水平位置",
  //           defaultValue: "83%",
  //           comType: "slider",
  //           comInfo: {
  //             min: "0%",
  //             max: "100%",
  //           },
  //         },
  //         top: {
  //           name: "垂直位置",
  //           defaultValue: "18%",
  //           comType: "slider",
  //           comInfo: {
  //             min: "0%",
  //             max: "100%",
  //           },
  //         },
  //         titleColor: {
  //           name: "标题颜色",
  //           defaultValue: "#fff",
  //           comType: "colorPicker",
  //         },
  //       },
  //     },
  //   },
  // },
  color: {
    name: "系列色",
    sub: {
      color: {
        name: "系列色",
        comType: "colorPickerList",
        defaultValue: [
          "#5470c6",
          "#91cc75",
          "#fac858",
          "#ee6666",
          "#73c0de",
          "#3ba272",
          "#fc8452",
          "#9a60b4",
          "#ea7ccc",
        ],
      },
    },
  },
  bg: {
    name: "背景",
    sub: {
      backgroundColor: {
        name: "背景色",
        defaultValue: "#062951",
        comType: "colorPicker",
      },
    },
  },
  customSeries: {
    name: "图形",
    sub: {
      symbolClip: {
        name: "是否剪裁图形",
        comType: "slider",
        defaultValue: true,
        comType: "radio",
        comInfo: [
          {
            name: "是",
            value: true,
          },
          {
            name: "否",
            value: false,
          },
        ],
      },
      symbolBoundingData: {
        name: "指定图形界限的值",
        comType: "slider",
        defaultValue: 150,
        comInfo: {
          min: 0,
          max: 1000,
        },
      },
      label: {
        name: "数据信息",
        sub: {
          show: {
            name: "是否显示",
            defaultValue: true,
            comType: "radio",
            comInfo: [
              {
                name: "是",
                value: true,
              },
              {
                name: "否",
                value: false,
              },
            ],
          },
          position: {
            name: "位置",
            defaultValue: "top",
          },
          offset: {
            name: "偏移值",
            defaultValue: [0, -20],
          },
          formatter: {
            name: "内容格式化",
            formatter: function (param) {
              return (
                ((param.value / "{@symbolBoundingData}") * 100).toFoxed(0) + "%"
              );
            },
          },
          fontSize: {
            name: "字体大小",
            comType: "slider",
            defaultValue: 12,
            comInfo: {
              min: 12,
              max: 100,
            },
          },
          fontWeight: {
            name: "字体加粗",
            comType: "radio",
            defaultValue: "normal",
            comInfo: [
              {
                name: "正常",
                value: "normal",
              },
              {
                name: "加粗",
                value: "bold",
              },
            ],
          },
          color: {
            name: "字体颜色",
            comType: "colorPicker",
            defaultValue: "#7b7b7b",
          },
        },
      },
      markLine: {
        name: "图表标线",
        sub: {
          symbol: {
            name: "标记类型",
            defaultValue: "none",
          },
          lineStyle: {
            name: "线条样式",
            sub: {
              color: {
                name: "颜色",
                comType: "colorPicker",
                defaultValue: "#26426a",
              },
              width: {
                name: "线宽",
                comType: "slider",
                defaultValue: 1,
                comInfo: {
                  min: 1,
                  max: 20,
                },
              },
              opacity: {
                name: "透明度",
                comType: "input",
                defaultValue: 0.3,
              },
            },
          },
          label: {
            name: "标线文本",
            sub: {
              show: {
                name: "是否显示",
                defaultValue: true,
                comType: "radio",
                comInfo: [
                  {
                    name: "是",
                    value: true,
                  },
                  {
                    name: "否",
                    value: false,
                  },
                ],
              },
              fontSize: {
                name: "字体大小",
                comType: "slider",
                defaultValue: 12,
                comInfo: {
                  min: 12,
                  max: 100,
                },
              },
              fontWeight: {
                name: "字体加粗",
                comType: "radio",
                defaultValue: "normal",
                comInfo: [
                  {
                    name: "正常",
                    value: "normal",
                  },
                  {
                    name: "加粗",
                    value: "bold",
                  },
                ],
              },
              color: {
                name: "字体颜色",
                comType: "colorPicker",
                defaultValue: "#7b7b7b",
              },
            },
          },
          data: {
            name: "数据",
            defaultValue: [
              {
                type: "max",
                label: {
                  formatter: "max: {c}",
                },
              },
              {
                type: "min",
                label: {
                  formatter: "min: {c}",
                },
              },
            ],
          },
        },
      },
    },
  },
};

export default styleConfig;
