let config = {
	x: {
		styleToCom: {
			name: 'x轴',
			sub: {
				title: {
					name: '坐标轴名称',
					defaultValue: '',
					comType: 'input'
				},
				nameTextStyle: {
					name: '坐标轴名称样式',
					sub: {
						fontSize: {
							name: '字体大小',
							defaultValue: 12,
							comType: "slider",
							comInfo: {
								min: 12,
								max: 50
							}
						},
						color: {
							name: '字体颜色',
							defaultValue: '#0080a5',
							comType: 'colorPicker'
						},
					}
				},
				namePosition: {
					name: '坐标轴名称位置',
					defaultValue: 'end',
					comType: 'radio',
					comInfo: [{
						name: '坐标轴前端',
						value: 'start',
					}, {
						name: '坐标轴末端',
						value: 'end'
					}]
				},
				axisLine: {
					name: '轴线',
					sub: {
						show: {
							name: '是否显示',
							comType: 'radio',
							defaultValue: true,
							comInfo: [{
									'name': '是',
									'value': true
								},
								{
									'name': '否',
									'value': false
								}
							]
						},
						lineStyle: {
							name: '线条样式',
							sub: {
								color: {
									name: '颜色',
									comType: 'colorPicker',
									defaultValue: '#26426a',
								},
								width: {
									name: '线宽',
									comType: 'slider',
									defaultValue: 2,
									comInfo: {
										'min': 1,
										'max': 20
									}
								},
							}

						}
					}
				},
				axisTick: {
					name: '轴刻度线',
					sub: {
						show: {
							name: '是否显示',
							comType: 'radio',
							defaultValue: false,
							comInfo: [{
									name: '是',
									value: true
								},
								{
									name: '否',
									value: false
								}
							]
						},
						length: {
							name: '线条长度',
							comType: 'slider',
							defaultValue: 5,
							comInfo: {
								min: 1,
								max: 50
							}
						},

						lineStyle: {
							name: '线条样式',
							sub: {
								color: {
									name: '颜色',
									comType: 'colorPicker',
									defaultValue: '#26426a',
								},
								width: {
									name: '线宽',
									comType: 'slider',
									defaultValue: 1,
									comInfo: {
										min: 1,
										max: 20
									}
								}
							}
						}
					}
				},
				splitLine: {
					name: '分割线',
					sub: {
						show: {
							'name': '是否显示',
							'comType': 'radio',
							'defaultValue': true,
							'comInfo': [{
									'name': '是',
									'value': true
								},
								{
									'name': '否',
									'value': false
								}
							]
						},
						lineStyle: {
							'name': '线条样式',
							'sub': {
								'color': {
									'name': '颜色',
									'comType': 'colorPicker',
									'defaultValue': '#26426a',
								},
								'width': {
									'name': '线宽',
									'comType': 'slider',
									'defaultValue': 1,
									'comInfo': {
										'min': 1,
										'max': 20
									}
								},
							}

						}
					}
				},
				axisLabel: {
					name: '标签',
					sub: {
						show: {
							name: '是否显示',
							defaultValue: true,
							comType: 'radio',
							comInfo: [{
									'name': '是',
									'value': true
								},
								{
									'name': '否',
									'value': false
								}
							]
						},
						textStyle: {
							name: '字体样式',
							type: 'ChartBarH',
							sub: {
								fontSize: {
									name: '字体大小',
									comType: 'slider',
									defaultValue: 12,
									comInfo: {
										min: 12,
										max: 50
									}
								},
								fontWeight: {
									name: '字体加粗',
									comType: 'radio',
									defaultValue: 'normal',
									comInfo: [{
										name: '正常',
										value: 'normal'
									}, {
										name: '加粗',
										value: 'bold'
									}]
								},
								color: {
									name: '字体颜色',
									comType: 'colorPicker',
									defaultValue: '#0080a5'
								},
								textRotation:{
									name: '文字倾斜',
									comType: 'radio',
									defaultValue: 0,
									comInfo: [{
										'name': '横向',
										'value': 0
									},
										{
											'name': '竖向',
											'value': 90
										},{
											'name': '左倾45度',
											'value': 45
										},
										{
											'name': '右倾45度',
											'value': -45
										}
									]
								},

							}
						}
					}
				}

			}
		},
	},
	y: {
		styleToCom: {
			'name': 'y轴',
			"sub": {
				title: {
					name: '坐标轴名称',
					defaultValue: '',
					comType: 'input'
				}, 
				nameTextStyle: {
					name: '坐标轴名称样式',
					sub: {
						fontSize: {
							name: '字体大小',
							defaultValue: 12,
							comType: "slider",
							comInfo: {
								min: 12,
								max: 50
							}
						},
						color: {
							name: '字体颜色',
							defaultValue: '#0080a5',
							comType: 'colorPicker'
						},
					}
				},
				namePosition: {
					name: '坐标轴名称位置',
					defaultValue: 'end',
					comType: 'radio',
					comInfo: [{
						name: '坐标轴前端',
						value: 'start',
					}, {
						name: '坐标轴末端',
						value: 'end'
					}]
				},
				axisLine: {
					name: '轴线',
					sub: {
						show: {
							'name': '是否显示',
							'comType': 'radio',
							'defaultValue': false,
							'comInfo': [{
									'name': '是',
									'value': true
								},
								{
									'name': '否',
									'value': false
								}
							]
						},
						lineStyle: {
							'name': '线条样式',
							'sub': {
								'color': {
									'name': '颜色',
									'comType': 'colorPicker',
									'defaultValue': '#26426a',
								},
								'width': {
									'name': '线宽',
									'comType': 'slider',
									'defaultValue': 2,
									'comInfo': {
										'min': 1,
										'max': 20
									}
								}

							}

						}
					}
				},
				axisTick: {
					'name': '轴刻度线',
					'sub': {
						'show': {
							'name': '是否显示',
							'comType': 'radio',
							'defaultValue': false,
							'comInfo': [{
									'name': '是',
									'value': true
								},
								{
									'name': '否',
									'value': false
								}
							]
						},
						'length': {
							'name': '线条长度',
							'comType': 'slider',
							'defaultValue': 5,
							'comInfo': {
								'min': 1,
								'max': 50
							}
						},
						'lineStyle': {
							'name': '线条样式',
							'sub': {
								'color': {
									'name': '颜色',
									'comType': 'colorPicker',
									'defaultValue': '#26426a',
								},
								'width': {
									'name': '线宽',
									'comType': 'slider',
									'defaultValue': 1,
									'comInfo': {
										'min': 1,
										'max': 20
									}
								}
							}
						}
					}
				},
				splitLine: {
					'name': '分割线',
					'sub': {
						'show': {
							'name': '是否显示',
							'comType': 'radio',
							'defaultValue': true,
							'comInfo': [{
									'name': '是',
									'value': true
								},
								{
									'name': '否',
									'value': false
								}
							]
						},
						'lineStyle': {
							'name': '线条样式',
							'sub': {
								'color': {
									'name': '颜色',
									'comType': 'colorPicker',
									'defaultValue': '#26426a',
								},
								'width': {
									'name': '线宽',
									'comType': 'slider',
									'defaultValue': 1,
									'comInfo': {
										'min': 1,
										'max': 20
									}
								},
							}
						}
					}
				},
				axisLabel: {
					name: '标签',
					sub: {
						show: {
							name: '是否显示',
							defaultValue: true,
							comType: 'radio',
							comInfo: [{
									'name': '是',
									'value': true
								},
								{
									'name': '否',
									'value': false
								}
							]
						},
						textStyle: {
							name: '字体样式',
							type: 'ChartBarH',
							sub: {
								fontSize: {
									name: '字体大小',
									comType: 'slider',
									defaultValue: 12,
									comInfo: {
										min: 12,
										max: 50
									}
								},
								fontWeight: {
									name: '字体加粗',
									comType: 'radio',
									defaultValue: 'normal',
									comInfo: [{
										name: '正常',
										value: 'normal'
									}, {
										name: '加粗',
										value: 'bold'
									}]
								},
								color: {
									name: '字体颜色',
									comType: 'colorPicker',
									defaultValue: '#0080a5'
								},
								textRotation:{
									name: '文字倾斜',
									comType: 'radio',
									defaultValue: 0,
									comInfo: [{
										'name': '横向',
										'value': 0
									},
										{
											'name': '竖向',
											'value': 90
										},{
											'name': '下倾45度',
											'value': 45
										},
										{
											'name': '上倾45度',
											'value': -45
										}
									]
								},

							}
						}
					}
				},
			}
		},
	}
}

export default config;